apiVersion: apps/v1
kind: Deployment
metadata:
  name: lanterne-rouge-deployment
  namespace: lanterne-rouge
  labels:
    app: lanterne-rouge
spec:
  replicas: 1
  selector:
    matchLabels:
      app: lanterne-rouge
  template:
    metadata:
      labels:
        app: lanterne-rouge
    spec:
      containers:
      - name: lanterne-rouge
        image: registry.gitlab.com/stephan.horsthemke/lanterne-rouge:master
        ports:
        - containerPort: 80
      imagePullPolicy: Always
      imagePullSecrets:
      - name: gitlab-registry